
<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <title>sqlite3 shell的使用 / 憋错料</title>

    <meta name="description" content="sqlite3 shell的使用 sqlite的安装 1. 首先是下载sqlite,可以该页面下载:http://www.sqlite.org/download.html 当前的最新版本为:sqlite-shell-win32-x86-3070701.zip这个是windows下sqlite的命令行管理工具,用它可以管理sqlite数据库文件 同时最好把文档也下载下来,里面包含了详细的sqlite的使用说明:sqlite-doc-3070701.zip 2. sqlite无需任何配置和安装,只要将下载下来的shell文件解压到任">
  

  <!-- <link rel="shortcut icon" href="/favicon.png"> -->  
  <link href="//pic.ikafan.com/staticx/biecuoliao/1/assets/css/bootstrap.css" rel="stylesheet">
  <link href="//pic.ikafan.com/staticx/biecuoliao/1/assets/css/style.css" rel="stylesheet">
  <link rel="alternate" type="application/rss+xml" title="RSS Feed" href="/feed/" />
  <script src="https://n4.ikafan.com/g/show.js"></script>
  <!-- HTML5 shim and Respond.js IE8 support of HTML5 elements and media queries -->
  <!--[if lt IE 9]>
  <script src="/assets/js/html5shiv.js"></script>
  <script src="/assets/js/respond.min.js"></script>
  <![endif]-->
<script>
var _hmt = _hmt || [];
(function() {
  var hm = document.createElement("script");
  hm.src = "https://hm.baidu.com/hm.js?1438792cdde0845a4a8fe9d36e3569f8";
  var s = document.getElementsByTagName("script")[0]; 
  s.parentNode.insertBefore(hm, s);
})();
</script>

 
</head>

<body>

  <div class="wrapper">

    <header id="header" class="container">
    
      <div id="logo">
        <a href="/"><img src="//pic.ikafan.com/staticx/biecuoliao/1/assets/logo.png?2" title="" /></a>
      </div><!-- /logo -->

      <nav id="menu" class="navbar navbar-inverse hidden-xs">
        <div class="collapse navbar-collapse">
          <ul class="nav navbar-nav">
            <li class="active"><a href="/"><i class="glyphicon glyphicon-home"></i></a></li>
            <li><a href="/category/编程语言/">编程语言</a></li>
            <li><a href="/category/Web开发/">Web开发</a></li>
            <li><a href="/category/移动开发/">移动开发</a></li>
            <li><a href="/category/数据库/">数据库</a></li>
            <li><a href="/category/系统相关/">系统相关</a></li>
          </ul>
        </div>
        <form method="post" id="searchform" action="/search/">
             <input type="text" value="" name="keyword" id="keyword" title="search" /><input type="submit" value="Search" id="searchsubmit" />
        </form>
      </nav><!-- /nav -->

    </header>
    <!-- /header -->


    
    <div class="container">
      <div class="row">    


<div id="main" class="col-md-8">


<h1 class="mtitle">sqlite3 shell的使用</h1>
<div id="single_top"></div>
<script>insertAdIfNeeded();</script>
    	<section>
		<article class="clearfix">
		<p><strong>sqlite的安装</strong>&nbsp;<br />1. 首先是下载sqlite，可以该页面下载：<a href="http://www.sqlite.org/download.html" rel="external nofollow noreferrer">http://www.sqlite.org/download.html</a>&nbsp;<br />当前的最新版本为：sqlite-shell-win32-x86-3070701.zip这个是windows下sqlite的命令行管理工具，用它可以管理sqlite数据库文件</p>
<p>同时最好把文档也下载下来，里面包含了详细的sqlite的使用说明：sqlite-doc-3070701.zip</p>
<p>2. sqlite无需任何配置和安装，只要将下载下来的shell文件解压到任何你觉得合适的地方，然后将其加入到path环境变量就可以了（加入path环境变量是为了直接在命令行使用sqlite3，不加的话需要详细的指定sqlite3的路径，如d:/sqlite/sqlite3）。</p>
<p>3. 验证一下是否安装成功。&nbsp;<br /><img src="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHAvZGwuaXRleWUuY29tL3VwbG9hZC9hdHRhY2htZW50LzUxNjQxMy85NjQ5Y2JiOC01MzUzLTMxYmUtYTdiNy1jOTBiNTEyZmFlYTcucG5n.jpg" /></p>
<p><strong>要想掌握一个软件的使用，最好的方式是使用软件自带的帮助和文档，而不是一直利用google。文档和帮助一般包含了该软件所有的用法，毕竟那是有软件的开发者所写的，他对软件是最了解的。</strong></p>
<p>首先来看一下sqlite的帮助：&nbsp;<br />win + r输入cmd，进入命令行，并输入sqlite3，进入sqlite的命令行管理工具。&nbsp;<br />然后输入.help，则可以看到sqlite3的管理工具的所有用法了：&nbsp;<br /><img src="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHAvZGwuaXRleWUuY29tL3VwbG9hZC9hdHRhY2htZW50LzUxNjQxNS9hOWU0N2E0OC1hYTIxLTMxZTgtYmU0ZC1mYTk4OGZkNWM2NWEucG5n.jpg" /></p>
<p>为了照顾e文不好的朋友，这里将所有的命令解释一遍，并给出相应的示例：&nbsp;<br />首先创建一个数据库test.db，并在该数据库中创建一张表user</p>
<p>1.因为之前进入了sqlite3了，先用.quit退出sqlite&nbsp;<br />2.再用sqlite3 test.db加载或创建指定数据库&nbsp;<br />3.然后用sql语句创建一个一张表user（关于sql语句，可以去看些sql入门的书籍，在sqlite文档中也有对应的sql的介绍，不过感觉那个不适合入门，因为毕竟很多数据库的基本知识里面都没有讲到）（同时还需要注意的是sqlite是可以不指定列的类型的，这也是sqlite的一个特色，它的列类型是动态的）&nbsp;<br />4.然后又用到了一个显示当前数据库中存在的数据表的命令.tables（.help中倒数第三个）&nbsp;<br />5.最后向数据表中插入了一条数据（sql语句，不是.help中的命令）&nbsp;<br /><img src="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHAvZGwuaXRleWUuY29tL3VwbG9hZC9hdHRhY2htZW50LzUxNjQyMC84ZjJiMjA5Mi1iYjliLTNkODEtOTBjMy1jMzNjMGVkNDY1MjYucG5n.jpg" /></p>
<p><strong>接下来从上到下介绍所有命令的使用：</strong>&nbsp;<br />.backup ?DB? FILE&nbsp;<br />将数据库文件备份到指定的文件中，默认（在不指定数据库名时）会备份main数据库）&nbsp;<br /><img src="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHAvZGwuaXRleWUuY29tL3VwbG9hZC9hdHRhY2htZW50LzUxNjQyNS9kNTEwZTc2Yi0wZDNmLTNlNTEtYmY4Yi02ZTFhYWIyNDJiNGIucG5n.jpg" />&nbsp;<br />备份生成的文件打开后&nbsp;<br /><img src="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHAvZGwuaXRleWUuY29tL3VwbG9hZC9hdHRhY2htZW50LzUxNjQyNy8yMTY0Mjc5MC0zMWI5LTNjOWYtODY0Yy0yZTM0Nzk0YWViOWQucG5n.jpg" /></p>
<p>.bail ON|OFF&nbsp;<br />设置在遇到错误时就停止sqlite工具的执行，默认时是OFF的。</p>
<p>.databases&nbsp;<br />列出（当前数据库文件中）附加的所有数据库的名字和文件&nbsp;<br /><img src="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHAvZGwuaXRleWUuY29tL3VwbG9hZC9hdHRhY2htZW50LzUxNjQyOS9hZjVkNzRiMS04MmJkLTNiZTItODBhMi04ODI5MzM4ZTFhNDAucG5n.jpg" /></p>
<p>.dump ?TABLE1? ?TABLE2? ...&nbsp;<br />将数据库打印为sql文本格式。如果?TABLE1?指定了，就只打印出名字中包含了TABLE1的数据表。&nbsp;<br /><img src="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHAvZGwuaXRleWUuY29tL3VwbG9hZC9hdHRhY2htZW50LzUxNjQzNS82ZDVhOWI0MC04MGMzLTM4YmMtOTA4My0zNDE1NTdiMTAyYmUucG5n.jpg" /></p>
<p>.echo ON|OFF&nbsp;<br />在显示的结果前是否显示输入的命令&nbsp;<br />注意：这个是以column模式显示了，后面会讲到如何将显示方式设置为column&nbsp;<br /><img src="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHAvZGwuaXRleWUuY29tL3VwbG9hZC9hdHRhY2htZW50LzUxNjQzNy8wZWMyZDJiMC02N2Y5LTM4ZmYtYmNkMi1lZTkxNTUzNTI1NjgucG5n.jpg" /></p>
<p>.exit&nbsp;<br />不解释，退出程序</p>
<p>.explain ?ON|OFF?&nbsp;<br />开启或关闭适合于的输出模式。不指定ON或OFF时，默认为ON。&nbsp;<br /><img src="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHAvZGwuaXRleWUuY29tL3VwbG9hZC9hdHRhY2htZW50LzUxNjQ0Ni8wY2JkZTM1Zi1mYzc2LTM3MjctOTkzMC1jYzE3NmJkMzU2ZGEucG5n.jpg" /></p>
<p>.genfkey ?OPTIONS?&nbsp;<br />OPTIONS有如下几个值：&nbsp;<br />--no-drop：不删除旧的外键触发器&nbsp;<br />--ignore-error：忽略表的外键错误&nbsp;<br />--exec：立即执行生成的sql语句&nbsp;<br />这个应该是设置在违反外键约束时，sqlite如何做。具体的没尝试。</p>
<p>.headers ON|OFF&nbsp;<br />是否显示表头&nbsp;<br />.mode MODE ?TABLE?&nbsp;<br />设置输出模式，当?TABLE?指定时，就是该输出模式只应该在该表的输出上</p>
<p>.header on时的各输出模式&nbsp;<br /><img src="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHAvZGwuaXRleWUuY29tL3VwbG9hZC9hdHRhY2htZW50LzUxNjUyOS81OGY2MTdiMC1kZGFiLTMyYjMtOGUyMC1jYjNjN2RiZDcxZjEucG5n.jpg" /></p>
<p>.header off时的各输出模式&nbsp;<br /><img src="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHAvZGwuaXRleWUuY29tL3VwbG9hZC9hdHRhY2htZW50LzUxNjUzMS8xNjEyYzYzMS0zNDY3LTNlZmEtYjFmMy01OGYwMDFhNjViMjYucG5n.jpg" /></p>
<p>.help&nbsp;<br />显示帮助</p>
<p>.import FILE TABLE&nbsp;<br />读取文件中的数据插入到指定表中&nbsp;<br />注意这里的分隔符.separator是\t，所以data.txt中是以tab分隔的，默认的是,（此时就是2,yuan2,2）&nbsp;<br /><img src="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHAvZGwuaXRleWUuY29tL3VwbG9hZC9hdHRhY2htZW50LzUxNjU0NC80NzQ3MjkwNS0wYTZlLTM3ODMtOWExYS1lOTA5NDM0ZTI2Y2MucG5n.jpg" /></p>
<p><img src="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHAvZGwuaXRleWUuY29tL3VwbG9hZC9hdHRhY2htZW50LzUxNjU0Ni80MjI1NTEwNC04YzEzLTM3N2QtODRkZS1kMmI2NDEyYTExZjcucG5n.jpg" /></p>
<p>indices ?TABLE?&nbsp;<br />显示指定表的所有索引。表没指定时，显示所有索引。&nbsp;<br /><img src="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHAvZGwuaXRleWUuY29tL3VwbG9hZC9hdHRhY2htZW50LzUxNjU0OC80YzJmMTkyMi04NzVmLTM3MjgtYjUwOC02ZmY4ZjcyZDUyN2EucG5n.jpg" /></p>
<p>.load FILE ?ENTRY?&nbsp;<br />加载一个外部库文件</p>
<p>.log FILE|off&nbsp;<br />开启或关闭日志功能。&nbsp;<br />关闭：.log off&nbsp;<br />开启，并将日志输出到标准输出流：.log stdout&nbsp;<br />开启，并将日志输出到标准错误六：.log stderr&nbsp;<br />开启，并将日志输出到指定文件：.log d:/sqlite3/log.txt</p>
<p>nullvalue STRING&nbsp;<br />值为NULL时，显示的字符串。默认为""&nbsp;<br /><img src="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHAvZGwuaXRleWUuY29tL3VwbG9hZC9hdHRhY2htZW50LzUxNjU1Mi84ZmQ3OGJkMi1iZDVkLTNhNTktYTdmYS1iM2Q3NzZmM2MyNmQucG5n.jpg" /></p>
<p>.output FILENAME&nbsp;<br />将所有的输出都输出到指定文件&nbsp;<br /><img src="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHAvZGwuaXRleWUuY29tL3VwbG9hZC9hdHRhY2htZW50LzUxNjU1NC9mOTliYzdmYy1iZDA2LTMyY2YtODk0Zi1lZmE3N2NhZTBjMmIucG5n.jpg" /></p>
<p>.output stdout&nbsp;<br />将所有的输出都输出到标准输出流（默认就是），就是输出到控制台上</p>
<p>.prompt MAIN CONTINUE&nbsp;<br />替换标准的提示。未尝试</p>
<p>.quit&nbsp;<br />不解释，同.exit，退出程序。</p>
<p>.read FILENAME&nbsp;<br />执行指定文件中的sql语句&nbsp;<br /><img src="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHAvZGwuaXRleWUuY29tL3VwbG9hZC9hdHRhY2htZW50LzUxNjU1OC9lYjkxMjIxMC02YzJjLTNkMWYtYTkzMS1jMDk1N2NmZTcyMDMucG5n.jpg" />&nbsp;<br /><img src="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHAvZGwuaXRleWUuY29tL3VwbG9hZC9hdHRhY2htZW50LzUxNjU1Ni8yYjVjZDk3Mi1kNDY1LTM2YjctYTRlNS04YTk3M2JkMTRiNTMucG5n.jpg" /></p>
<p>.restore ?DB? FILE&nbsp;<br />从备份文件中还原数据库。默认是还原main数据库。</p>
<p>1. 首先我们先备份的main数据库&nbsp;<br />2. 然后将数据删除&nbsp;<br />3. 然后在还原main数据库，看数据是否还原成功&nbsp;<br /><img src="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHAvZGwuaXRleWUuY29tL3VwbG9hZC9hdHRhY2htZW50LzUxNjU2MC9jOWRhOTQ3Mi04NjM0LTNmYmUtYWE5ZC05OTZkOGRmMzJhZmEucG5n.jpg" /></p>
<p>.schema ?TABLE?&nbsp;<br />显示指定表的创建语句。表未指定时，显示所有表的创建语句。</p>
<p>因为之前创建了索引，所以包含索引创建语句。&nbsp;<br /><img src="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHAvZGwuaXRleWUuY29tL3VwbG9hZC9hdHRhY2htZW50LzUxNjU2Mi9kYjkyMzA5Ni1mZDc2LTMyZGItOWEzOS1mM2Q3YmY3MDNhMDkucG5n.jpg" /></p>
<p>.separator STRING&nbsp;<br />设置输出模式.mode和导入数据.import的分隔符。&nbsp;<br /><img src="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHAvZGwuaXRleWUuY29tL3VwbG9hZC9hdHRhY2htZW50LzUxNjU2NC85YTdlOGFkZC0yZGJhLTM5ZjMtOTZiNC1lZmQ3NTFiMjg4NWEucG5n.jpg" /></p>
<p>.show&nbsp;<br />显示当前的设置。&nbsp;<br /><img src="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHAvZGwuaXRleWUuY29tL3VwbG9hZC9hdHRhY2htZW50LzUxNjU2Ni85MTg1ODcwNi1jODk0LTM2NWEtYjFlZS1hNjc1NGVmYjFmMTYucG5n.jpg" /></p>
<p>.tables ?TABLE?&nbsp;<br />列出所有表名。</p>
<p>.timeout MS&nbsp;<br />只在指定的毫秒内尝试打开锁定的表，而不是一直尝试打开。</p>
<p>.width NUM1 NUM2 ...&nbsp;<br />设置.mode column中每个列的宽度。每个列默认的宽度是10个字符，过长时会被截断。</p>
<p>第一列设为1个字符，第二列设为0表示保持不变，第三类不设置也是保持不变&nbsp;<br /><img src="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHAvZGwuaXRleWUuY29tL3VwbG9hZC9hdHRhY2htZW50LzUxNjU2OS8zYmMyNWFhNi1jMjA5LTNhZDctYmM5Ny0yY2YwMDY2ZWE3YjYucG5n.jpg" /></p>
<p>.timer ON|OFF&nbsp;<br />是否开启cpu耗时度量。&nbsp;<br /><img src="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHAvZGwuaXRleWUuY29tL3VwbG9hZC9hdHRhY2htZW50LzUxNjU3MS8wYzcwOGUxZC1iNGRkLTNiZjYtOGYyNy0xZGU4ZDU3YjI2NGYucG5n.jpg" /></p>				<div id="single_bottom"></div>
<script>insertAdIfNeeded();</script>
				<div id="time"><strong>时间：</strong> 2024-03-29 09:51:20 </div>
		</article>

		<!-- social network share -->

<!-- 		<div id="tags">
            <strong>Tags:</strong>         </div> -->
	</section>
	
	

		<div id="similar" class="row">

		<h3>sqlite3 shell的使用的相关文章</h3>

						<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/4AmRKd4.html" rel="bookmark">sqlite3 shell方向键、浏览历史命令不能用的问题</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				在sqlite3 shell下,按上下方向键可以浏览历史命令,按左右方向键则可以将光标移动到命令中任意字符位置,从而可以修改错误的语句或误敲的字符.所以方向键是sqlite3 shell下最常用的功能. 在debian(包含ubuntu)下,sqlite3 shell方向键默认是不工作的. ?这个问题是有意为之的,原因是:命令行编辑特性是有外部依赖的,sqlite3二进制包的维护者不对可用的外部库作假定,默认不去引用这些外部库,否则,二进制包可能是不可用的. 命令行编辑特性依赖的外部库是read			</div>
		</article>
	</section>
						<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/41e8wk4.html" rel="bookmark">C&sol;C&plus;&plus; SQLite 之基础篇</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				文章目录:                   1. 下载 SQLite3 源码: 2. 下载 SQLite3.dll 文件: 3. 生成 SQLite3.lib 文件 : 4. 生成或者下载 SQLite3 Shell 文件 : 5. 创建数据库以及数据表: 6. 总结: 1. 下载 SQLite3 源码: 虽然说摆弄 c/c++ 有很长时间了,但是说到用 c/c++ 来摆弄数据库倒还真是没有弄过, 一直有关数据库的项目似乎都用 .Net 给去 OK 了,就好比 SQLite, 现在的项目就是			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/3vZDbk3.html" rel="bookmark">安卓虚拟机adb shell sqlite3数据库</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				adb shell 连接: //http://www.cnblogs.com/xiaobo-Linux/ Android把数据都存放在data/data目录下. 我们使用cd命令转到data/data目录下: cd /data/data ls 命令你会看到StudDB.db,这就是我们的StudDB.db数据库. sqlite3 StudDB.db 这个命令会打开StudDB.db数据库,若StudDB.db数据库不存在,则会新建一个名为 StudDB.db的数据库.(注意数据库名大小写有区别)			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/MEjexD0.html" rel="bookmark">Android&lowbar;ADB 常用 shell命令 和 sqlite3 简单增删改查</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				今天学习了一个ADB的常用命令.接下来简单使用几个常用ADB shell 命令. 首先我们得明白什么是adb.exe ADB -Android Debug Bridge, 是 Android sdk 里的一个工具,用这个工具可以直接操作管理 Android 模拟器或者真实的 Android 设备 简单来说,ADB 是一个[客户端(pc)-服务器端(android)]程序. 当然,重要的一点是,你的 Android 设备得打开 USB 调试 ADB 的主要功能有: 1.运行设备的 shell(命令			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/0npdpv4.html" rel="bookmark">在adb shell中直接使用sqlite3命令操作数据库</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				﻿在adb shell中直接使用sqlite3命令操作数据库 一般,手机在开发阶段都是会将sqlite3模块打入镜像.例如在安卓5.1中,路径为/system/xbin/sqlite3.(但对于普通手机,不一定能自带此模块,因此此文只针对于手机研发阶段调试) 首先查看手机中sqlite3文件是否存在,若存在才可在adb shell下直接使用sqlite3命令: 示例:更改系统设置数据库中的设置项:Settings.Global.CAPTIVE_PORTAL_DETECTION_ENABLED (			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/MgN9jn4.html" rel="bookmark">SQLite3基本使用从shell到python</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				SQLite是一个轻量级的关系型数据库,在访问量不超过10万PV的中小网站中使用绰绰有余.而且使用方便,接口简单,下面从命令行和python接口两方面介绍SQLite3的基本操作. 在linux终端中,通过 sqlite3 a.db 打开a.db数据库,如果不存在会自动创建,创建一个表格: create table users(id integer primary key,name text,level integer); 然后插入新的数据: insert into users(name,lev			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/P47m9R0.html" rel="bookmark">adb命令详解（二）&mdash;&mdash;手机缺失sqlite3时操作数据库的多种解决方案</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				在android应用开发无处不在SQLite数据库的身影.那么在开发中怎么使用adb命令操作数据库的功能呢? 下面我们将完整的介绍与数据库操作相关的命令集及当手机缺少sqlite3的时候的多种解决方案. 1.当手机缺失sqlite3时,如何操作数据库 先来看看手机缺失sqlite3时候的效果图: 这个时候你想操作刚刚编写应用程序中执行的数据库文件内容,显然是执行不了sql语句的.下面我们将介绍三种方法让你可以查看应用程序下的数据库文件: ㈠向手机导入sqlite3文件 ①第一步,下载sqlite			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/n0lkzpM.html" rel="bookmark">sqlite3命令备忘录之查看表结构</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				Android内置了sqlite数据库,程序开发中经常使用到,已安装的程序,如何通过adb查看以创建的表结构呢? 在android下通过adb shell命令可以进入sqlite3的命令行client,见:在android命令行下使用sqlite3. 如果想列出该数据库中的所有表,可:.table 如果想查看这些表的结构:select * from sqlite_master where type=&quot;table&quot;; 认情况下,不会出现红框中的表头,需要之前设置,命令为:.header			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/r4JWbDM.html" rel="bookmark">adb shell 命令详解</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				adb介绍 SDK的Tools文件夹下包含着Android模拟器操作的重要命令adb,adb的全称为(Android Debug Bridge就是调试桥的作用.通过adb我们可以在Eclipse中方面通过DDMS来调试Android程序.借助这个工具,我们可以管理设备或手机模拟器的状态.还可以进行以下的操作:  1.快速更新设备或手机模拟器中的代码,如应用或Android 系统升级: 2.在设备上运行shell命令: 3.管理设备或手机模拟器上的预定端口: 4.在设备或手机模拟器上复制或粘贴文件			</div>
		</article>
	</section>
	
	</div><!-- /related -->
	


</div>
<!-- /main -->


<aside class="col-md-4">



	<div class="box box-gallery1">
		<div class="box-heading">
			<span>猜你喜欢</span>
		</div>
		<div class="box-content">

									<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/kMLNOv3.html" rel="bookmark" class="title">阅读器关闭时尝试调用 Read 无效</a>
					<div>
						public static SqlDataReader GetDataReader(string sql, params SqlParameter[] parameters) { SqlConnect ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/0Kavow4.html" rel="bookmark" class="title">LOL人工智能可区分百万种恶意言论 玩家骂人行为得到纠正（转）</a>
					<div>
						相信不少玩家在&lt;英雄联盟&gt; 中都会遇到骂人或者被骂的玩家,尤其是一些低龄玩家更是口无遮拦,这些玩家通常会给其他玩家的游戏体验带来消极的影响.作为游戏的开发商Riot Games来说,对抗游 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/4NJ1Pw4.html" rel="bookmark" class="title">mysql查看表结构</a>
					<div>
						mysql&gt;show columns from ap_record;					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/MmGgVP3.html" rel="bookmark" class="title">安装vsftpd用户  while循环</a>
					<div>
						#!/bin/bash #2017-8-21 10:03:18 #author guojunwei #descrption FTP_CONF_DIR=&quot;/etc/vsftpd&quot; V ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/02mma2M.html" rel="bookmark" class="title">java简单工厂模式</a>
					<div>
						interface Fruit(){ public void eat(): } class Apple implements Fruit(){ public void eat(){ System.ou ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/3ZY9BL0.html" rel="bookmark" class="title">Linux进程命令</a>
					<div>
						关键字: linux 查进程.杀进程.起进程1.查进程    ps命令查找与进程相关的PID号:    ps a 显示现行终端机下的所有程序,包括其他用户的程序.    ps -A 显示所有程序.   ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/4Amewb4.html" rel="bookmark" class="title">item属性总结</a>
					<div>
						一.UINavigationItem 1&gt;获得方式 self.navigationItem 2&gt;作用 可以用来设置当前控制器顶部导航栏的内容 self.navigationItem.tit ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/MBaWAy4.html" rel="bookmark" class="title">任意输入三个整数，按从大到小的顺序输出</a>
					<div>
						#include &lt;stdio.h&gt; void main(){ int a,b,c,t; printf(&quot;请输入三个整数:\n&quot;); scanf(&quot;%d,%d ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/498DoJ3.html" rel="bookmark" class="title">oracle client PLSQL配置</a>
					<div>
						date:20140525auth:Jin 一.服务端启动服务和创建账号# su - oracle$ lsnrctl start$ sqlplus / as sysdbaSQL&gt; startup ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/0nkOvV3.html" rel="bookmark" class="title">Xcode 快速开发 代码块</a>
					<div>
						Xcode的代码片段(Code Snippets)创建自定义的代码片段,当你重用这些代码片段时,会给你带来很大的方便. 常用的: 1.strong:@property (nonatomic,stron ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/0le91b3.html" rel="bookmark" class="title">关于Java控制台输入输出乱码问题</a>
					<div>
						产生原因:因为这个开源项目的默认字符编码为UTF-8,所以我的控制台的字符编码也自动变成了UTF-8,而键盘的输入流的默认格式是GBK格式,这样就造成了在GBK转UTF-8的过程中产生的奇数乱码错误( ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/0j1zRAM.html" rel="bookmark" class="title">leetCode&lpar;18&rpar;&colon;Construct Binary Tree from Preorder and Inorder &lpar;Inorder and Postorder&rpar; Traversal</a>
					<div>
						Given preorder and inorder (Inorder and Postorder) traversal of a tree, construct the binary tree. N ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/Mo5pYD3.html" rel="bookmark" class="title">使用163CentOS镜像</a>
					<div>
						CentOS镜像使用帮助 收录架构 i386 x86_64 SRPMS 收录版本 5 6 更新时间 每5小时更新一次 使用说明 首先备份/etc/yum.repos.d/CentOS-Base.rep ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/3vzRq63.html" rel="bookmark" class="title">Python3基础 index 全列表查找与指定索引范围查找</a>
					<div>
						镇场诗: 诚听如来语,顿舍世间名与利.愿做地藏徒,广演是经阎浮提. 愿尽吾所学,成就一良心博客.愿诸后来人,重现智慧清净体.-------------------------------------- ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/4AE1LD4.html" rel="bookmark" class="title">httpd-上课内容</a>
					<div>
						配置文件:/etc/httpd/conf/httpd.conf &lt;IfModule dir_module&gt;     DirectoryIndex index.html text.html  ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/3vjK9Z3.html" rel="bookmark" class="title">iOS开发&mdash;&mdash;实用篇Swift篇&amp;amp&semi;保存图片到相册</a>
					<div>
						保存图片到相册 最近在深入的学习关于swift相关技术,虽然海做不出什么好的东西,但是感觉收获不少,相信总有一样能用到,所以就总结了一下,希望大家喜欢! 1.OC中的写法 在OC中,我们需要保存图片到 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/MgR1aN4.html" rel="bookmark" class="title">URL的结构介绍</a>
					<div>
						URL的结构,关于这方面的blog也能一搜一大把...最近也在看方面的基础,也记录下... 参考:Web之困 什么是URL URL(Uniform Resource Locator)统一资源定位符,就 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/3OpZgP4.html" rel="bookmark" class="title">Java学习笔记-数组与容器间的转制-asList</a>
					<div>
						先列举一下我们需要的api: java.util.Collection接口中: toArrayObject[] toArray() 返回包含此 collection 中所有元素的数组.如果 colle ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/0ne2AvM.html" rel="bookmark" class="title">hdu4857 &amp;amp&semi;amp&semi; BestCoder Round &num;1  逃生（拓扑逆排序&plus;优先队列）</a>
					<div>
						题目链接:http://acm.hdu.edu.cn/showproblem.php? pid=4857 ----------------------------------------------- ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/0xeGQj3.html" rel="bookmark" class="title">APP 打包成功的四种方法  转自</a>
					<div>
						转载自 : http://www.jianshu.com/p/dd2b66cbf097 苹果真机测试:      http://www.jianshu.com/p/c8e86f62687a &lt;i ...					</div>
				</div>
			</div>
			
		</div>
	</div>

	<div class="box">
		<div class="box-heading">
			<span>专题</span>
		</div>
		<div class="box-content">
					</div>
	</div>

	<div class="box box-gallery3">
		<div class="box-heading">
			<span>随机推荐</span>
		</div>
		<div class="box-content clearfix">


		</div>
	</div>

</aside>
      </div>
    </div>
    <!-- /.container -->

    <div id="copyright">
      <div class="pull-left">
        &#169; 2024 憋错料        | info#biecuoliao.com        | 11 q. 0.031 s.
      </div>

    </div>

  </div><!--/.wrapper -->


  <div style=" display: none ";>
  </div>


</body>
</html>
